@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main {
  min-height: 100vh;
  background: url("../../assets/images/pallet.jpg");
  background-size: cover;
  @include respondTo(tablets) {
    background-position: -225px;
  }
  @include respondTo(wide-phones) {
    background-position: -600px;
  }
  @include respondTo(phones) {
    background-position: -830px;
  }

  &-container {
    @include max-width;
    min-height: inherit;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;

    // --banner to the left
    //-------begin----------------------
    .banner {
      position: absolute;
      top: 150px;
      right: 0;
      left: 0;
      bottom: 0;
      height: 75%;
      width: 15em;
      display: flex;
      justify-content: flex-end;
      align-items: center;
      img {
        width: 30%;
      }
      &-item {
        position: absolute;
        &-content {
          background-color: $users-main-alt;
          padding: 1em 0.2em;
          width: 12em;
          text-align: center;
          border-top-left-radius: 20px;
          border-bottom-left-radius: 20px;
          color: $users-main;
          font-family: $users-main-title;
          text-transform: uppercase;
          font-weight: 900;
          font-size: 0.9em;
          line-height: 0.9em;
        }
      }
      .item-first {
        top: 0;
        right: 1em;
        height: 35%;
        border-right: 3px solid $users-main-alt;
      }
      .item-second {
        top: 25%;
        right: 3.5em;
        height: 15%;
        border-right: 3px solid $users-main-alt;
      }
      .item-third {
        bottom: 20%;
        right: 3.5em;
        height: 20%;
        border-right: 3px solid $users-main-alt;
        display: flex;
        align-items: flex-end;
      }
      .item-fourth {
        bottom: 0;
        right: 1em;
        height: 37%;
        border-right: 3px solid $users-main-alt;
        display: flex;
        align-items: flex-end;
      }
    }

    // -----end----------------------------

    .main-title {
      padding: 0;
      margin-bottom: 2em;
      margin-top: 6em;
      @include respondTo(xlg-desktops) {
        margin-top: 8em;
      }
      @include respondTo(tablets) {
        font-size: 2em;
        margin-top: 8em;
      }
      @include respondTo(wide-phones) {
        font-size: 1.7em;
        margin-top: 8em;
        margin-bottom: 1.7em;
      }
      @include respondTo(phones) {
        font-size: 1.1em;
        margin-top: 17em;
        margin-bottom: 1.5em;
      }
    }
    .main-title div {
      font-size: 2.3em;
      text-transform: uppercase;
      color: darken($users-title-main, 2%);
      font-weight: 600;
      font-family: $users-main-title;
      text-shadow: -1px -1px 0 $white, 1px -1px 0 $white, -1px 1px 0 $white,
        1px 1px 0 $white;
    }
    .main-slogan {
      font-size: 1.5em;
      color: $users-slogan;
      font-weight: 500;
      margin-bottom: 3em;
      text-align: center;
      padding: 1em;
      @include respondTo(wide-phones) {
        font-size: 1.3em;
        margin-bottom: 1.8em;
      }
      @include respondTo(phones) {
        font-size: 1.1em;
        margin-bottom: 1.5em;
      }
    }

    .main-button {
      @include users-btn-main;
    }
  }
}
